aboutsummaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..8c74be1
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+echo "##########################################"
+echo "# Flashing cli-test HSM firmware"
+echo "##########################################"
+./bin/flash-target firmware/cli-test
+./bin/reset
+sleep 5
+
+echo "##########################################"
+echo "# Checking FPGA"
+echo "##########################################"
+./bin/cryptech_runcmd --username ct "show fpga cores"
+
+echo "##########################################"
+echo "# Testing SDRAM FMC bus"
+echo "##########################################"
+./bin/cryptech_runcmd --username ct --timeout 20 "test sdram"
+
+echo "##########################################"
+echo "# Uploading FMC test bitstream"
+echo "##########################################"
+./bin/cryptech_upload --fpga --username ct -i firmware/alpha_fmc_top.bit
+
+echo "##########################################"
+echo "# Testing FPGA FMC bus"
+echo "##########################################"
+./bin/cryptech_runcmd --username ct --timeout 20 "test fmc"
+